[PATCH] contrib/patch_tester.sh, 6 of 7
Janis Johnson
janis187@us.ibm.com
Wed Mar 5 23:58:00 GMT 2008
This patch to contrib/patch_tester.sh makes it work for patches that
do not include any changes under gcc/. There could well be a better
way to do this than just requiring patches to be made at the top level.
Sebastian, OK for trunk?
--- patch_tester.sh.5 2008-03-05 15:29:34.000000000 -0800
+++ patch_tester.sh 2008-03-05 15:29:36.000000000 -0800
@@ -274,22 +274,11 @@ apply_patch () {
fi
fi
- # Detect if the patch was created in toplev GCC.
- grep "^Index: " $PATCH | grep "gcc/"
- if [ $? = 0 ]; then
- cd $SOURCE
- if ! patch -p0 < $PATCH &> $TESTING/patching ; then
- report "your patch failed to apply:"
- freport $TESTING/patching
- return 1
- fi
- else
- cd $SOURCE/gcc
- if ! patch -p0 < $PATCH &> $TESTING/patching ; then
- report "your patch failed to apply:"
- freport $TESTING/patching
- return 1
- fi
+ cd $SOURCE
+ if ! patch -p0 < $PATCH &> $TESTING/patching ; then
+ report "your patch failed to apply:"
+ freport $TESTING/patching
+ return 1
fi
}
More information about the Gcc-patches
mailing list